<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: Outliner Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_outliner.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_outliner-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">Outliner Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Outliner:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_outliner.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a94ed3ea9e14860e6196bef51fc2ff6b8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_outliner.html#a94ed3ea9e14860e6196bef51fc2ff6b8">SetOutline</a> (GameObject objectToOutline, string colorName)</td></tr>
<tr class="memdesc:a94ed3ea9e14860e6196bef51fc2ff6b8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Outlines a game object  <a href="class_outliner.html#a94ed3ea9e14860e6196bef51fc2ff6b8">More...</a><br /></td></tr>
<tr class="separator:a94ed3ea9e14860e6196bef51fc2ff6b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b1f12280b72aa794e8bbec8399d7af5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_outliner.html#a0b1f12280b72aa794e8bbec8399d7af5">RemoveOutline</a> (GameObject outlinedObject)</td></tr>
<tr class="memdesc:a0b1f12280b72aa794e8bbec8399d7af5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Removes the outline of an gameObject  <a href="class_outliner.html#a0b1f12280b72aa794e8bbec8399d7af5">More...</a><br /></td></tr>
<tr class="separator:a0b1f12280b72aa794e8bbec8399d7af5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5871ba838484c1e183b2ef199c8f7dff"><td class="memItemLeft" align="right" valign="top"><a id="a5871ba838484c1e183b2ef199c8f7dff" name="a5871ba838484c1e183b2ef199c8f7dff"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>RemoveAllOutlines</b> ()</td></tr>
<tr class="memdesc:a5871ba838484c1e183b2ef199c8f7dff"><td class="mdescLeft">&#160;</td><td class="mdescRight">Removes outlines of all gameObjects <br /></td></tr>
<tr class="separator:a5871ba838484c1e183b2ef199c8f7dff"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a0b1f12280b72aa794e8bbec8399d7af5" name="a0b1f12280b72aa794e8bbec8399d7af5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b1f12280b72aa794e8bbec8399d7af5">&#9670;&nbsp;</a></span>RemoveOutline()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Outliner.RemoveOutline </td>
          <td>(</td>
          <td class="paramtype">GameObject&#160;</td>
          <td class="paramname"><em>outlinedObject</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Removes the outline of an gameObject </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">outlinedObject</td><td>Outlined GameObject</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a94ed3ea9e14860e6196bef51fc2ff6b8" name="a94ed3ea9e14860e6196bef51fc2ff6b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94ed3ea9e14860e6196bef51fc2ff6b8">&#9670;&nbsp;</a></span>SetOutline()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Outliner.SetOutline </td>
          <td>(</td>
          <td class="paramtype">GameObject&#160;</td>
          <td class="paramname"><em>objectToOutline</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>colorName</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Outlines a game object </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">objectToOutline</td><td>GameObject that should be outlined</td></tr>
    <tr><td class="paramname">colorName</td><td>red, deep-orange, light-green or cyan</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/Scripts/<a class="el" href="_outliner_8cs.html">Outliner.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_outliner.html">Outliner</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:26:14 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
